Subject: Re: Super Serial Card II DIP switches
From: Rick Kerman <[email-masked]>
Date: Tue, 09 Jul 96 17:13:10 EDT
Newsgroups: comp.sys.apple2

In Article<[email-masked]>,
<[email-masked]> wrote:

> An Apple IIe that I rescued a couple months ago had an Apple Super 
> Serial Card II installed with two banks of DIP switches but no manual 
> (Why do people throw out the manuals?!  What are they thinking?!?!) to 
> describe what the switches handle.  Does anybody have this information 
> or know where I could find it??
> 
> Jon

The following should help.

*========================================*
* Super Serial Clone 1.0 Operation Guide *
*========================================*
CONTENTS:
CHAPTER 1 -- General Switches and Commands
CHAPTER 2 -- Printer Mode
CHAPTER 3 -- Communications Mode
CHAPTER 4 -- Emulation Modes
CHAPTER 5 -- Use with BASIC
CHAPTER 6 -- DB-25 pinout

==========================================
CHAPTER 1 -- General Switches and Commands

  BAUD    SW1-1     SW1-2     SW1-3     SW1-4     CTL-I/A
undefined   ON        ON        ON        ON   0B=switches
    50      ON        ON        ON       OFF        1B
    75      ON        ON       OFF        ON        2B
   109.92   ON        ON       OFF       OFF        3B
   134.58   ON       OFF        ON        ON        4B
   150      ON       OFF        ON       OFF        5B
   300      ON       OFF       OFF        ON        6B
   600      ON       OFF       OFF       OFF        7B
  1200     OFF        ON        ON        ON        8B
  1800     OFF        ON        ON       OFF        9B
  2400     OFF        ON       OFF        ON       10B
  3600     OFF        ON       OFF       OFF       11B
  4800     OFF       OFF        ON        ON       12B
  7200     OFF       OFF        ON       OFF       13B
  9600     OFF       OFF       OFF        ON       14B
 19200     OFF       OFF       OFF       OFF       15B

     MODE           SW1-5     SW1-6
Communications        ON        ON
Printer Mode         OFF        ON
P8 Emulation          ON       OFF
P8A Emulation        OFF       OFF

 DATA FORMAT        SW2-1     SW2-2*    CTL-I/A  *SW2-2 serves a dif-
8 data, 1 stop        ON        ON        0D      ferent purpose in
7 data, 1 stop        ON       OFF        1D      printer mode, and
6 data, 1 stop                            2D      only 8 data, 1 stop
5 data, 1 stop                            3D      or 8 data, 2 stop
8 data, 2 stop       OFF        ON        4D      are available by
7 data, 2 stop       OFF       OFF        5D      setting switches.
6 data, 2 stop                            6D      CTL-I/A commands
5 data, 2 stop                            7D      still work.

DELAY AFTER CR      SW2-2*    CTL-I/A            *SW2-2 affects delay
   none              OFF        0C                after <CR> only in
  32 ms               ON        1C                Printer Mode.CTL-I/A
 250 ms (1/4 sec)               2C                commands still work.
2000 ms (2 sec)                 3C

PARITY    SW2-3*    SW2-4*    CTL-I/A            *SW2-3 and SW2-4 are
 none                 ON     0,2,4,6P             used for a different
  odd       ON       OFF        1P                purpose in Printer
 even      OFF       OFF        3P                Mode.  CTL-I/A com-
 mark                           5P                mands still work.
space                           7P

<LF> AFTER <CR>     SW2-5     CTL-I/A
      yes             ON        L E
       no            OFF        L D

INTERRUPTS          SW2-6
   yes                ON
    no               OFF

JUMPER BLOCK
Terminal -- performs the function of modem eliminator.
Modem -- standard function (RS-232 pinout).

=========================
CHAPTER 2 -- Printer Mode

RS-232 SIGNALS:   SW1-7     SW2-7
    Normal CTS      ON       OFF
 Secondary CTS     OFF        ON

LINE WIDTH/VIDEO   SW2-3     SW2-4
 40 char/video on    ON        ON
 72 char/video off   ON       OFF
 80 char/video off  OFF        ON
132 char/video off  OFF       OFF

SOFTWARE COMMANDS -- CTL-I <CMD> <RETURN>
CMD      FUNCTION           VALUES
<n>B     Set Baud Rate      See Ch.1
<n>C     Set CR Delay       0=none, 1=32mS, 2=250mS, 3=2S
<n>D     Set Data Format    See CH.1
<n>F     Set FF Delay       0=none, 1=32mS, 2=250mS, 3=2S
<n>L     Set LF Delay       0=none, 1=32mS, 2=250mS, 3=2S
<n>N     Set Line Width     40 to 255
<n>P     Set Parity   0,2,4,6 none, 1=odd, 3=even, 5=mark, 7=space
<n>T     Translate LC       0=change LC to UC
                            1=leave LC
                            2=change LC to UC inverse
                            3=change LC to UC, UC to inverse
C        Column overflow
I        Video on, Line Width 40
K        Disable Auto LF
R        Reset the SSC
Z        Zap (disable commands)
F_<n>    Find keyboard      E or D
L_<n>    Auto LF after CR   E or D
M_<n>    Mask LF after CR   E or D
T_<n>    Tab in BASIC       E or D
X_<n>    Use XON/XOFF       E or D

Special: <Ctrl-I> <Ctrl-something else> changes
the default command character.
Also: <Ctrl-I> <Ctrl-I> sends a Ctrl-I to output.

================================
CHAPTER 3 -- Communications Mode

SPECIAL SWITCHES:  SW1-7     SW2-6     SW2-7
  Interrupts off              OFF
   Interrupts on               ON
 RS-232C Signals     ON                 OFF

<LF> AFTER <CR>    SW2-5     CTL-A
     yes             ON        L E
      no            OFF        L D

SOFWARE COMMANDS -- CTL-A <CMD> <RETURN>
CMD      FUNCTION           VALUES
<n>B     Set Baud Rate      See Ch.1
<n>C     Set CR Delay       0=none, 1=32mS, 2=250mS, 3=2S
<n>D     Set Data Format    See Ch.1
<n>F     Set FF Delay       0=none, 1=32mS, 2=250mS, 3=2S
<n>L     Set LF Delay       0=none, 1=32mS, 2=250mS, 3=2S
<n>P     Set Parity   0,2,4,6 none, 1=odd, 3=even, 5=mark, 7=space
<n>S     Slot to chain      0 - 7
<n>T     Translate LC       0=change LC to UC
                            1=leave LC
                            2=change LC to UC inverse
                            3=change LC to UC, UC to inverse
B        Break
Q        Quit terminal mode
R        Reset the SSC
T        Terminal mode
Z        Zap (disable commands)
E_<n>    Echo               E or D
F_<n>    Find keyboard      E or D
L_<n>    Send LF after CR   E or D
M_<n>    Mask LF after CR   E or D
S_<n>    Special chars      E or D
X_<n>    Use XON/XOFF       E or D

Special -- <Ctrl-A> <Ctrl-something else> changes
the default command character.
<Ctrl-A> <Ctrl-A> sends Ctrl-A to output.

TERMINAL MODE
In Communications Mode, a dumb terminal mode is available.
Enter this mode by typing <Ctrl-A>T.  Exit by typing <Ctrl-A>Q.
Also supports old Apple Communications Interface Card commands
<Ctrl-T> enter terminal mode and <Ctrl-R> exit terminal mode.

============================
CHAPTER 4 -- Emulation Modes

SW1-5 and SW1-6 select these modes (see ch.1).
Emulates P8 or P8A versions of Apple ][ Serial Interface Card (SIC).

COMPATIBILITY
Partial Peek & Poke compatibility with SIC.
Supports ETX/ACK software handshake.

DOES NOT SUPPORT
P8 SIC block moves.
Baud rates or data formats other than those listed.
<ESC>U or <ESC>L commands for upper and lower case.
Current loop operation.

===========================
CHAPTER 5 -- Use with BASIC

PRINTER MODE:  Use PR#s where s is the slot of the card to activate,
use CTL-I commands to reset parameters.

COMMUNICATIONS MODE:  Use PR#s and IN#s where s is the slot of the
card to activate, use CTL-A commands to reset parameters.

JUMPER BLOCK:  In terminal position, performs the function of
modem eliminator.  In modem position, expects full RS-232 signals.

=========================
CHAPTER 6 -- DB-25 pinout

 1   Frame Ground
 2   Transmit Data
 3   Receive Data
 4   Request To Send
 5   Clear To Send
 6   Data Set Ready
 7   Signal Ground
 8   Data Carrier Detect
19   Secondary Clear To Send
20   Data Terminal Ready